<div fxLayout="row wrap">
  <div fxFlex.gt-sm="100" fxFlex="100">
    <mat-card>
      <mat-card-content>
        <!-- ============================================================== -->
        <!-- column -->
        <!-- basic-form ============================================================== -->
        <form #editForm="ngForm" [ngClass]="{'was-validated': formValid!==null}">
          <!-- column -->
          <div fxLayout="column wrap" fxLayout.xs="column" fxFlexFill fxLayoutGap="20px">
            <mat-form-field fxFlex="45" fxFlex.xs="50">
              <input matInput placeholder="Título del Mensaje" [(ngModel)]="item.title" name="title" #title="ngModel"
                [min]="10" required>
              <mat-error *ngIf="title.invalid && (title.dirty || title.touched)">Campo Requerido
              </mat-error>
            </mat-form-field>
            <mat-form-field fxFlex="45" fxFlex.xs="50">
              <input matInput placeholder="Imagen que se mostrar en la barra" [(ngModel)]="item.urlImage"
                name="urlImage" #urlImage="ngModel" type="url" required>
              <mat-error *ngIf="urlImage.invalid && (urlImage.dirty || urlImage.touched)">Campo Requerido
              </mat-error>
            </mat-form-field>
            <mat-form-field fxFlex="45" fxFlex.xs="50">
              <input matInput placeholder="Imagen que se mostrar al abril en el app" [(ngModel)]="item.urlImagePub"
                name="urlImagePub" #urlImagePub="ngModel" type="url" required>
              <mat-error *ngIf="urlImagePub.invalid && (urlImagePub.dirty || urlImagePub.touched)">Campo Requerido
              </mat-error>
            </mat-form-field>
            <mat-form-field fxFlex="45" fxFlex.xs="50">
              <input matInput placeholder="URrl de acción del boton, revisar 'Flutter url_launcher'" [(ngModel)]="item.url" name="url" #url="ngModel"
                type="url">
            </mat-form-field>
            <mat-form-field fxFlex="45" fxFlex.xs="50">
              <input matInput placeholder="Texto del Boton" [(ngModel)]="item.labelBoton" name="labelBoton"
                #labelBoton="ngModel" type="url">
            </mat-form-field>
            <mat-form-field fxFlex="100" fxFlex.xs="100">
              <input matInput placeholder="Contenido del Mensaje" [(ngModel)]="item.body" name="body" #body="ngModel"
                type="text" required>
              <mat-error *ngIf="body.invalid && (body.dirty || body.touched)">Campo Requerido
              </mat-error>
            </mat-form-field>

          </div>
        </form>
      </mat-card-content>
    </mat-card>
    <app-toolbar-button>
      <button mat-raised-button color="primary" (click)="send(editForm.valid!, item)">
        <mat-icon>send</mat-icon>Enviar
      </button>

    </app-toolbar-button>
  </div>
</div>